Loading...
Searching...
No Matches
Alembic::Util::ALEMBIC_VERSION_NS::Exception Class Reference

Base class for all exceptions in the Alembic libraries. Derived from both std::exception and std::string, publicly It is mostly commonly thrown using the macros. More...

`#include <Exception.h>`

Inheritance diagram for Alembic::Util::ALEMBIC_VERSION_NS::Exception:
[legend]
Collaboration diagram for Alembic::Util::ALEMBIC_VERSION_NS::Exception:
[legend]

## Public Member Functions

| Exception () throw ()
| default constructor creates exception with empty message string
| Exception (const std::string &str) throw ()
| Creates exception with an explicit message string. ...
| Exception (const Exception &exc) throw ()
| Copies exception. ...
virtual | ~Exception () throw ()
| Destructor is empty, but virtual to support polymorphic destruction of data in any derived classes.
virtual const char * | what () const throw ()
| Inherited from std::exception, this returns a non-modifiable character string describing the nature of the exception.

## Detailed Description

Base class for all exceptions in the Alembic libraries. Derived from both std::exception and std::string, publicly It is mostly commonly thrown using the macros.

Definition at line 57 of file Exception.h.

## Constructor & Destructor Documentation

## Exception() [1/3]

Alembic::Util::ALEMBIC_VERSION_NS::Exception::Exception | ( |  | ) |
throw | ( | ) |  |  |

inline

default constructor creates exception with empty message string

Definition at line 62 of file Exception.h.

Referenced by Exception().

Here is the caller graph for this function:

## Exception() [2/3]

Alembic::Util::ALEMBIC_VERSION_NS::Exception::Exception | ( | const std::string & | str | ) |
throw | ( | ) |  |  |

inlineexplicit

Creates exception with an explicit message string. ...

Definition at line 66 of file Exception.h.

## Exception() [3/3]

Alembic::Util::ALEMBIC_VERSION_NS::Exception::Exception | ( | const Exception & | exc | ) |
throw | ( | ) |  |  |

inline

Copies exception. ...

Definition at line 71 of file Exception.h.

References Exception().

Here is the call graph for this function:

## ~Exception()

virtual Alembic::Util::ALEMBIC_VERSION_NS::Exception::~Exception | ( |  | ) |
throw | ( | ) |  |  |

inlinevirtual

Destructor is empty, but virtual to support polymorphic destruction of data in any derived classes.

Definition at line 76 of file Exception.h.

## Member Function Documentation

## what()

virtual const char * Alembic::Util::ALEMBIC_VERSION_NS::Exception::what | ( |  | ) | const
throw | ( | ) |  |  |

inlinevirtual

Inherited from std::exception, this returns a non-modifiable character string describing the nature of the exception.

Definition at line 80 of file Exception.h.

The documentation for this class was generated from the following file:

- opt/local/include/Alembic/Util/Exception.h